Subject: Re: [bug#66836] [Patch] gnu: Add tree-sitter-yaml.

From: Andrew Tropin <[email-masked]>
Date: Sat, 18 Nov 2023 11:42:20 +0400

On 2023-11-04 20:15, Hilton Chain via Guix-patches via wrote:

> Hi Emma,
>
> On Mon, 30 Oct 2023 04:47:34 +0800,
> Emma Turner via Guix-patches via wrote:
>>
>> [1  <text/plain; utf-8 (base64)>]
>> [2  <text/html; utf-8 (base64)>]
>> * gnu/packages/tree-sitter.scm (tree-sitter-yaml): New variable.
>>
>> Change-Id: Id48040eee325b0cdb435d8693caf48c9654cf14c
>> ---
>>  gnu/packages/tree-sitter.scm | 9 +++++++++
>>  1 file changed, 9 insertions(+)
>>
>> diff --git a/gnu/packages/tree-sitter.scm b/gnu/packages/tree-sitter.scm
>> index 41257d42f1..608f8b6519 100644
>> --- a/gnu/packages/tree-sitter.scm
>> +++ b/gnu/packages/tree-sitter.scm
>> @@ -7,6 +7,7 @@
>>  ;;; Copyright © 2023 Nicolas Graves <[email-masked]>
>>  ;;; Copyright © 2023 Zheng Junjie <[email-masked]>
>>  ;;; Copyright © 2023 Raven Hallsby <[email-masked]>
>> +;;; Copyright © 2023 Emma Turner <[email-masked]>
>>  ;;;
>>  ;;; This file is part of GNU Guix.
>>  ;;;
>> @@ -629,3 +630,11 @@ (define-public tree-sitter-scala
>>     "scala" "Scala"
>>     "0hs6gmkq5cx9qrmgfz1mh0c34flwffc0k2mhwf13laawswnywfkz"
>>     "0.20.2"))
>> +
>> +(define-public tree-sitter-yaml
>> +  (tree-sitter-grammar
>> +   "yaml" "Yaml"
>> +   "1ay4snkd2s4pid7pcr4bgx0y9cj7b5vlgd7wfc1j0896l0p61cjb"
>> +   "0.5.0"
>> +   #:repository-url "https://github.com/emturner/tree-sitter-yaml"
>> +   #:commit "f53859209fef065b677995802842a2b65314defb"))
>>
>> base-commit: 2b5c6e1a41e4ddcf4cfa53a319ed784a856eac5d
>> --
>> 2.41.0
>
>
> There seem to be formatting issue in your patch, making the last two lines
> embedded into one: "--2.41.0".  You can have a look at it in [1].
>
> I think your changes can be shipped as a patch with Guix.  Maybe you can open a
> PR to upstream as well? :)

It seems that https://github.com/ikatyang/tree-sitter-yaml is
unmaintained, that's probably why I didn't add this grammar earlier.

So maybe forking and taking a maintainance is not a bad idea.

>
> I have modified your commit since we don't have to clone the submodule and
> generated files in src/ are deleted.  I will send v2 for the change.
>
> Thanks
> ---
> [1]: https://issues.guix.gnu.org/66836
>
>
>

-- 
Best regards,
Andrew Tropin